$(document).ready(function () {

    $('form').each(function() {
        var form = $(this),
            btn = form.find('.event_order');

        function checkInput() {
            form.find('.phone-black').each(function() {
                var str = $(this).val();
                str = $.trim(str);
                $(this).val(str);
                if ($(this).val().replace(/\D+/g, "").length > 5 && $(this).val().replace(/\D+/g, "").length < 20) {
                    $(this).removeClass('has-error');
                    $(this).addClass('has-success');
                } else {
                    $(this).addClass('has-error');
                }
            });

            form.find('.name-black').each(function() {
                str = $(this).val();
                str = $.trim(str);
                $(this).val(str);
                if ($(this).val() != '') {
                    $(this).removeClass('has-error');
                    $(this).addClass('has-success');
                } else {
                    $(this).addClass('has-error');
                }
            });

        }


        // Событие клика по кнопке отправить
        btn.click(function() {

            checkInput();
            var sizeEmpty = form.find('.has-success').length;
            if (sizeEmpty != 2) {
                return false
            } else {
                form.submit();



            }

        });
    });


    $("a[href^='#']").on("click", function (e) {
        var anchor = $(this);
        $('html, body').stop().animate({
            scrollTop: $(anchor.attr('href')).offset().top
        }, 777);
        e.preventDefault();
        return false;
    });

    $('.popup-close').click(function(){
        $(this).parent().parent().fadeToggle('slow');
        $('body').removeClass('overflow');
    });
    $('.popup__btn').click(function(){
        $(this).parent().parent().fadeToggle('slow');
        $('body').removeClass('overflow');
    });
    $('.popup').click(function(e){
        if (!$(e.target).closest(".popup__container").length) {
            $('.popup').fadeOut('slow');
            $('body').removeClass('overflow');
        }
        e.stopPropagation();
    });
});
var number_objects;
var displayObject = $('.left-pack');

function loadRandom() {
    number_objects = 54 + Math.floor(Math.random());
}

function decreaseRandom() {
    number_objects -= Math.floor(Math.random() * 2) + 1;
}

function showRandom() {
    displayObject.text(number_objects);
}

loadRandom(); // load the value
showRandom(); // initial display
var interval = setInterval(function () {
    decreaseRandom();
    showRandom();
    if (number_objects <= 5) {
        clearInterval(interval);

    }
}, 7500);

function getCommentDate(delta) {
    d = new Date();
    p = new Date(d.getTime() - delta * 86400000);
    monthA = 'янв,фев,мар,апр,мая,июн,июл,авг,сен,окт,ноя,дек'.split(',');
    document.write(p.getDate() + ' ' + monthA[p.getMonth()]);
}


window.onload = function () {
    var userCity = $(".town_name");
    var usercountry1 = $(".country_name1");
    var usercountry2 = $(".country_name2");

    function checkCity(city) {
        if (!city) {
            return 'Москва';
        }
        return city;
    }

    function checkCountry1(country) {
        if (!country) {
            return 'России';
        }
        if (country=='Россия') {
            return 'России';
        }

        if (country=='Беларусь') {
            return 'Беларуси';
        }
        if (country=='Литва') {
            return 'Литвы';
        }
        if (country=='Эстония') {
            return 'Эстонии';
        }
        if (country=='Казахстан') {
            return 'Казахстана';
        }
        if (country=='Латвия') {
            return 'Латвии';
        }
        if (country=='Молдова') {
            return 'Молдовы';
        }
        if (country=='Израиль') {
            return 'Израиля';
        }
        if (country=='Узбекистан') {
            return 'Узбекистана';
        }

        return country;
    }

    function checkCountry2(country) {
        if (!country) {
            return 'России';
        }
        if (country=='Россия') {
            return 'России';
        }

        if (country=='Беларусь') {
            return 'Беларуси';
        }
        if (country=='Литва') {
            return 'Литве';
        }
        if (country=='Эстония') {
            return 'Эстонии';
        }
        if (country=='Казахстан') {
            return 'Казахстане';
        }
        if (country=='Латвия') {
            return 'Латвии';
        }
        if (country=='Молдова') {
            return 'Молдове';
        }
        if (country=='Израиль') {
            return 'Израиле';
        }
        if (country=='Узбекистан') {
            return 'Узбекистане';
        }

        return country;
    }

    if (window.ymaps && window.ymaps.geolocation.city && window.ymaps.geolocation.country) {
        userCity.text(checkCity(ymaps.geolocation.city));
        usercountry1.text(checkCountry1(ymaps.geolocation.country));
        usercountry2.text(checkCountry2(ymaps.geolocation.country));
    } else {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', 'https://click.lucky.online/click/ip-location.html', false);
        xhr.send();
        if (xhr.status != 200) {
            userCity.text(checkCity(null));
            usercountry1.text(checkCountry1(null));
            usercountry2.text(checkCountry2(null));
        } else {
            var response = JSON.parse(xhr.responseText);
            userCity.text(checkCity(response.city));
            usercountry1.text(checkCountry1(response.country));
            usercountry2.text(checkCountry2(response.country));
        }
    }
    //console.log(ymaps.geolocation.country);
};
var flag = true;
$(window).mouseout(function(e){
    if(e.pageY - $(window).scrollTop() < 1 && flag == true){
        $('#popup--feedback').fadeToggle('slow');
        $('body').addClass('overflow');
        flag = false;
    }
});

